2 Replies Latest reply on Apr 15, 2019 7:15 PM by julic_4162311

    "lto-wrapper failed" Error when compiling CCG4 eval board firmware on PSoc 4.2

    julic_4162311

      Without any modification, the CYPD4225-40LQXI_notebook project does not compile and generates a linker script error:

      Build error: error: lto-wrapper failed: cm0gcc.ld

       

      I am using PSoC creator 4.2

       

      There were a few other errors but I was able to clear them up by updating the components.

       

      I found this KBA but I am not sure it applies to the specific CCG4 chip on the evaluation board:

      Build CCG4M Project Using CCG4 Project in SDK 3.0.1 and Later Versions – KBA219845

       

      If it does, please let me know.

       

      Thanks!

      Julio